### Class

# Jsonrpc OutputStream

#### Description

    class Jsonrpc.OutputStream : Gio.DataOutputStream {
      parent_instance: GDataOutputStream
    }

No description available.

#### Hierarchy

#### Ancestors

- GDataOutputStream
- GFilterOutputStream
- GOutputStream
- GObject

#### Implements

- GSeekable

#### Constructors

###### jsonrpc_output_stream_new

No description available.

#### Instance methods

###### jsonrpc_output_stream_get_use_gvariant

No description available.

###### jsonrpc_output_stream_set_use_gvariant

No description available.

###### jsonrpc_output_stream_write_message

Synchronously sends a message to the peer.

since: 3.26

###### jsonrpc_output_stream_write_message_async

Asynchronously sends a message to the peer.

since: 3.26

###### jsonrpc_output_stream_write_message_finish

No description available.

##### Methods inherited from GDataOutputStream (10)

###### g_data_output_stream_get_byte_order

Gets the byte order for the stream.

###### g_data_output_stream_put_byte

Puts a byte into the output stream.

###### g_data_output_stream_put_int16

Puts a signed 16-bit integer into the output stream.

###### g_data_output_stream_put_int32

Puts a signed 32-bit integer into the output stream.

###### g_data_output_stream_put_int64

Puts a signed 64-bit integer into the stream.

###### g_data_output_stream_put_string

Puts a string into the output stream.

###### g_data_output_stream_put_uint16

Puts an unsigned 16-bit integer into the output stream.

###### g_data_output_stream_put_uint32

Puts an unsigned 32-bit integer into the stream.

###### g_data_output_stream_put_uint64

Puts an unsigned 64-bit integer into the stream.

###### g_data_output_stream_set_byte_order

Sets the byte order of the data output stream to `order`.

##### Methods inherited from GFilterOutputStream (3)

###### g_filter_output_stream_get_base_stream

Gets the base stream for the filter stream.

###### g_filter_output_stream_get_close_base_stream

Returns whether the base stream will be closed when `stream` is closed.

###### g_filter_output_stream_set_close_base_stream

Sets whether the base stream will be closed when `stream` is closed.

##### Methods inherited from GOutputStream (31)

Please see GOutputStream for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GSeekable (5)

###### g_seekable_can_seek

Tests if the stream supports the `GSeekableIface`.

###### g_seekable_can_truncate

Tests if the length of the stream can be adjusted with g_seekable_truncate().

###### g_seekable_seek

Seeks in the stream by the given `offset`, modified by `type`.

###### g_seekable_tell

Tells the current position within the stream.

###### g_seekable_truncate

Sets the length of the stream to `offset`. If the stream was previously larger than `offset`, the extra data is discarded. If the stream was previously shorter than `offset`, it is extended with NUL (‘\0’) bytes.

#### Properties

###### Jsonrpc.OutputStream:use-gvariant

No description available.

##### Properties inherited from GDataOutputStream (1)

###### Gio.DataOutputStream:byte-order

Determines the byte ordering that is used when writing multi-byte entities (such as integers) to the stream.

##### Properties inherited from GFilterOutputStream (2)

###### Gio.FilterOutputStream:base-stream

No description available.

###### Gio.FilterOutputStream:close-base-stream

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct JsonrpcOutputStreamClass {
      GDataOutputStreamClass parent_class;
      gpointer _reserved1;
      gpointer _reserved2;
      gpointer _reserved3;
      gpointer _reserved4;
      gpointer _reserved5;
      gpointer _reserved6;
      gpointer _reserved7;
      gpointer _reserved8;
      gpointer _reserved9;
      gpointer _reserved10;
      gpointer _reserved11;
      gpointer _reserved12;

    }

No description available.

###### Class members

`parent_class: GDataOutputStreamClass`
  No description available.
`_reserved1: gpointer`
  No description available.
`_reserved2: gpointer`
  No description available.
`_reserved3: gpointer`
  No description available.
`_reserved4: gpointer`
  No description available.
`_reserved5: gpointer`
  No description available.
`_reserved6: gpointer`
  No description available.
`_reserved7: gpointer`
  No description available.
`_reserved8: gpointer`
  No description available.
`_reserved9: gpointer`
  No description available.
`_reserved10: gpointer`
  No description available.
`_reserved11: gpointer`
  No description available.
`_reserved12: gpointer`
  No description available.